## tqt 14.1.5~pre10

=== debian/changelog ===
tqt (4:14.1.5~pre10-0ubuntu25.10.0+2) questing; urgency=low

  * Automated git build for 894037c3e68e1573a34183d936171f8cda5085f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200

tqt (3:3.3.8-d-0ubuntu0) maverick; urgency=low

  * Upload of 3.3.8d (working revision) from GIT

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 22 Jul 2011 16:40:00 -0600

## tqt 14.1.5

=== debian/changelog ===
tqt (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

# build variables
export QTDIR=$(shell pwd)

# re-set $(LD_LIBRARY_PATH)
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(QTDIR)/lib:$(OLD_LD_LIBRARY_PATH)

# fix path
OLD_PATH := $(PATH)
export PATH=$(QTDIR)/bin:$(OLD_PATH)

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= -t64
else
DEB_TIME64_SUFFIX	=
endif

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL ?= true

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	PLATFORM_ARG = hurd-g++
else #hurd
ifeq ($(DEB_HOST_ARCH),sparc)
	PLATFORM_ARG = linux-g++-sparc
else #sparc
	PLATFORM_ARG = linux-g++
endif #sparc
endif #hurd

# quilt stuff
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libtqt3-mt$(DEB_TIME64_SUFFIX)
P_DOC = $(DEBIAN)/tqt3-doc
P_APPSDEV = $(DEBIAN)/tqt3-apps-dev
P_HEADERS = $(DEBIAN)/libtqt3-headers
P_QTMTDEV = $(DEBIAN)/libtqt3-mt-dev

RPC_INCLUDES = $(if $(wildcard /usr/include/tirpc),-I/usr/include/tirpc,)

TMP_INSTALL = $(DEBIAN)/tmp-install

CONFIGURE_OPTS = \
		-prefix		"/usr"				\
		-sysconfdir	"/etc/tqt3"			\
		-datadir	"/usr/share/tqt3"		\
		-headerdir	"/usr/include/tqt3"		\
		-docdir		"/usr/share/tqt3/doc"		\
		-libdir		"/usr/lib/$(DEB_HOST_MULTIARCH)"		\
		-plugindir	"/usr/lib/$(DEB_HOST_MULTIARCH)/tqt3/plugins"	\
		-translationdir	"/usr/share/tqt3/translations"	\
						\
		-thread				\
		-shared				\
		-fast				\
		-no-exceptions			\
		-platform $(PLATFORM_ARG)	\
						\
		-nis				\
		-no-pch				\
		-cups				\
		-stl				\
		-ipv6				\
						\
		-sm				\
		-xshape				\
		-xinerama			\
		-xcursor			\
		-xrandr				\
		-xrender			\
		-xft				\
		-tablet				\
		-xkb				\
						\
		-system-zlib			\
		-system-libpng			\
		-system-libmng			\
		-system-libjpeg			\
		-system-nas-sound		\
						\
		-enable-opengl			\
		-dlopen-opengl			\
						\
		-qt-gif				\
		-qt-imgfmt-png			\
		-qt-imgfmt-jpeg			\
		-plugin-imgfmt-mng		\
						\
		-plugin-sql-odbc		\
		-plugin-sql-psql		\
		-plugin-sql-mysql		\
		-plugin-sql-ibase		\
		-plugin-sql-sqlite		\
		-plugin-sql-sqlite3		\
						\
		-I/usr/include/mysql		\
		-I/usr/include/freetype2	\
		-I`pg_config --includedir`	\
		-I`pg_config --includedir-server`	\
		$(RPC_INCLUDES)			\
						\
		-L/usr/lib/$(DEB_HOST_MULTIARCH)\
						\
		-lfontconfig			\
		-inputmethod			\
		-glibmainloop			\
		# End of CONFIGURE_OPTS

interbase_archs := i386 amd64 sparc powerpc
ifneq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),$(interbase_archs)))
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibtqt3-mt-ibase
else
	IBASE =
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibtqt3-mt-ibase
endif

ifeq ($(DEB_HOST_ARCH),arm)
	CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
endif

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libtqt3-mt\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/libtqt3-mt$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: libtqt3-mt\\)$$/\\1$(DEB_TIME64_SUFFIX)/" \
	    -e "s/^\\(Replaces\\|Breaks\\): \\(libtqt3-mt\\)\\( \|$$\)/\\1: \\2, \\2$(DEB_TIME64_SUFFIX)\\3/" \
	    -e "s/\\(libtqt3-mt\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
	    debian/control
endif

build build-arch: libqt-thread-stamp
build-indep:

	touch build-stamp

libqt-thread-stamp: post-patches

	@echo "QTDIR is ${QTDIR}"

	dh_testdir

	echo yes | ./configure $(CONFIGURE_OPTS)

	# proceed
	$(MAKE) sub-src sub-plugins sub-tools
	$(MAKE) -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) install
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) plugins-install

	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
	-cp lib/lib*.a $(TMP_INSTALL)/usr/lib/

	cp bin/tqtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/tqtfindtr $(TMP_INSTALL)/usr/bin/

	# build tqtconv2ui
	cd tools/designer/tools/tqtconv2ui && $(MAKE)
	cp bin/tqtconv2ui $(TMP_INSTALL)/usr/bin/tqtconv2ui

	# build tqvfb
	cd tools/tqvfb/ && $(MAKE)
	cp tools/tqvfb/tqvfb $(TMP_INSTALL)/usr/bin/tqvfb

	# install qmake.cache file
	install -d $(P_QTMTDEV)/usr/share/tqt3/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/tqt3#g" > $(P_QTMTDEV)/usr/share/tqt3/.qmake.cache

	touch libqt-thread-stamp

clean::

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-thread-stamp

	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	if [ -f "src/Makefile" ]; then \
		$(MAKE) -C src clean; $(MAKE) -C plugins/src distclean; $(MAKE) -C tools distclean; \
		$(MAKE) -C tools/maketqpf distclean; $(MAKE) -C tools/qconfig distclean; $(MAKE) -C tools/tqvfb distclean; \
		$(MAKE) -C tools/msg2tqm distclean; $(MAKE) -C tools/tqtmergetr distclean; $(MAKE) -C tools/qembed distclean; \
		$(MAKE) -C tools/designer/tools/tqtconv2ui distclean; $(MAKE) -C tools/designer/tools/tqtcreatecw distclean; \
		$(MAKE) -C tools/designer/plugins/glade distclean; $(MAKE) -C tools/designer/plugins/qglwidget distclean; \
		$(MAKE) -C config.tests/unix/largefile distclean; $(MAKE) -C qmake distclean; \
	fi

	-rm -rf .qmake.cache src/.qmake.internal.cache tools/designer/designer/.qmake.internal.cache qmake/GNUmakefile \
		config.status bin/moc bin/tqmake src/moc/*.o mkspecs/default lib/lib* `pwd`/debian/doc $(TMP_INSTALL) \
		src/tools/qconfig.cpp include/ntqconfig.h include/ntqmodules.h plugins/accessibleqtwidgets.prl \
		config.tests/unix/ipv6/ipv6test config.tests/unix/ipv6/ipv6test.o config.tests/unix/ptrsize/ptrsizetest.o \
		config.tests/unix/ptrsize/ptrsizetest config.tests/unix/endian/endiantest.o \
		config.tests/unix/endian/endiantest lib/tqt-mt.pc extensions/nsplugin/examples/trivial/libtrivial.prl \
		extensions/nsplugin/examples/grapher/libgrapher.prl bin/designer

	rm -f qmake/*o
	rm -f src/.obj/debug-shared-mt/*o plugins/src/inputmethods/imsw-multi/.obj/debug-shared-mt/*o plugins/inputmethods/*so
	rm -f plugins/src/inputmethods/imsw-none/.obj/debug-shared-mt/*o plugins/src/inputmethods/simple/.obj/debug-shared-mt/*o plugins/src/inputmethods/xim/.obj/debug-shared-mt/*o

	# delete generated Makefiles but save the toplevel Makefile
	-mv Makefile Makefile.save
	for a in `find . -name 'Makefile'`; do rm -f "$$a"; done
	-mv Makefile.save Makefile

	cd examples/ && find . -name '.obj' | xargs rm -rf

	# revert multi-arch path in install files
	for a in debian/*install debian/*links; do \
	    [ ! -f $$a.arch ] || \
	    mv $$a.arch $$a; \
	done

	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libtqt3-mt$(DEB_TIME64_SUFFIX)\." | \
	xargs -r rm
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: libtqt3-mt\\)$$/\\1$(DEB_TIME64_SUFFIX)/" \
	    -e "s/^\\(Replaces\\|Breaks\\): \\(libtqt3-mt\\)\\( \|$$\)/\\1: \\2, \\2$(DEB_TIME64_SUFFIX)\\3/" \

## tqt 14.1.6~pre0

=== debian/changelog ===
tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 894037c3e68e1573a34183d936171f8cda5085f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200

## tqt 14.1.6~pre1

=== debian/changelog ===
tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b87533f9904c10f24d6b2e8177c00944e3efe15b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 07:11:22 +0100

## tqt 14.1.6~pre3

=== debian/changelog ===
tqt (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 0ee946e4cf239295e382af06e6404cb48fb4e2fa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 05 Dec 2025 14:40:03 +0100

## tqt 14.1.6~pre4

=== debian/changelog ===
tqt (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e4085a83c143eb366d0364596297b322476cc652
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 13:00:41 +0100

## tqt 14.1.6~pre5

=== debian/changelog ===
tqt (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3a477fb70884668d163f6631a73c8ab894928bcc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 09:51:59 +0100

## tqt 14.1.6~pre18

=== debian/changelog ===
tqt (4:14.1.6~pre18-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 6727c1b1c9a77bee699350d271ec63c92519d5e3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 01 Jan 2026 11:53:00 +0100

## tqt 14.1.6~pre19

=== debian/changelog ===
tqt (4:14.1.6~pre19-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 798ac2b0c52744ca8f9b4295e1e35b6ceac73807
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 12:03:43 +0100

## tqt 14.2.0~pre227

=== Makefile ===
# -*- makefile -*-
#
# Main Makefile for building the TQt library, examples and tutorial.

SHELL=/bin/sh

init: FORCE
	@$(MAKE) all
uninstall: FORCE
	@$(MAKE) qt.uninstall
install: FORCE
	@$(MAKE) qt.install

all: symlinks src-qmake src-tqmoc sub-src sub-tools sub-tutorial sub-examples
	@echo
	@echo "The TQt library is now built in ./lib"
	@echo "The TQt examples are built in the directories in ./examples"
	@echo "The TQt tutorials are built in the directories in ./tutorial"
	@echo
	@echo "Enjoy!   - the Trolltech team"
	@echo

qt.install: qmake-install tqmoc-install src-install tools-install plugins-install
qt.uninstall: qmake-uninstall tqmoc-uninstall src-uninstall tools-uninstall plugins-uninstall

#tqmoc
tqmoc-uninstall: .qmake.cache
	cd src/tqmoc && $(MAKE) uninstall
tqmoc-install: src-tqmoc
	cd src/tqmoc && $(MAKE) install
src-tqmoc: src-qmake FORCE
	cd src/tqmoc && $(MAKE)

#Qt
src-uninstall: .qmake.cache
	cd src && $(MAKE) uninstall
src-install: sub-src
	cd src && $(MAKE) install
sub-src: src-tqmoc .qmake.cache FORCE
	cd src && $(MAKE)

#qmake
qmake-uninstall: .qmake.cache
	cd qmake && $(MAKE) uninstall
qmake-install: src-qmake
	cd qmake && $(MAKE) install
src-qmake: symlinks FORCE
	cd qmake && $(MAKE)

#tools
tools-uninstall: .qmake.cache
	cd tools && $(MAKE) uninstall
tools-install: sub-tools
	cd tools && $(MAKE) install
sub-tools: sub-plugins FORCE
	cd tools && $(MAKE)

#plugins
plugins-uninstall: .qmake.cache
	cd plugins/src && $(MAKE) uninstall
plugins-install: sub-plugins
	cd plugins/src && $(MAKE) install
sub-plugins: sub-src .qmake.cache FORCE
	cd plugins/src && $(MAKE)

#tutorials
sub-tutorial: sub-src FORCE
	cd tutorial && $(MAKE)

#examples
sub-examples: sub-tools FORCE
	cd examples && $(MAKE)

#docs
doc: FORCE
	qdoc util/qdoc/qdoc.conf

symlinks: .qmake.cache
#	@cd include && rm -f q*.h; ln -s ../src/*/q*.h .; ln -s ../extensions/*/src/q*.h .; rm -f q*_p.h

distclean clean uiclean mocclean:
	cd tools && $(MAKE) $@
	cd src/tqmoc && $(MAKE) $@
	cd src && $(MAKE) $@
	cd tutorial && $(MAKE) $@
	cd plugins/src && $(MAKE) $@
	cd examples && $(MAKE) $@
	cd config.tests/unix/stl && $(MAKE) $@
	cd config.tests/unix/endian && $(MAKE) distclean
	cd config.tests/unix/ipv6 && $(MAKE) distclean
	cd config.tests/unix/largefile && $(MAKE) distclean
	cd config.tests/unix/ptrsize && $(MAKE) distclean
	[ ! -f config.tests/x11/notype/Makefile ] || cd config.tests/x11/notype && $(MAKE) $@
	cd qmake && $(MAKE) $@

#confclean is actually the same as distclean, except qmake and tqmoc
#are not cleaned.
confclean:
	cd tools && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd tutorial && $(MAKE) distclean
	cd plugins/src && $(MAKE) distclean
	cd examples && $(MAKE) distclean
	cd config.tests/unix/stl && $(MAKE) distclean
	cd config.tests/unix/endian && $(MAKE) distclean
	cd config.tests/unix/ipv6 && $(MAKE) distclean
	cd config.tests/unix/largefile && $(MAKE) distclean
	cd config.tests/unix/ptrsize && $(MAKE) distclean
	[ ! -f config.tests/x11/notype/Makefile ] || cd config.tests/x11/notype && $(MAKE) distclean

.qmake.cache:
	@echo
	@echo '  TQt must first be configured using the "configure" script.'
	@echo
	@test ! /bin/true

FORCE:

## tqt 14.1.6~pre28

=== debian/changelog ===
tqt (4:14.1.6~pre28-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for 6446d21873478f04567a89b3f0fe838cd54222d5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 03:15:35 +0100

tqt (4:14.2.0~pre253-0) forky; urgency=low

  * Formalization of postinst scripts.
  * Removed no longer valid *BSD architectures.
  * Removed Replaces and Breaks referring to themselves.
  * Removed menu files because desktop files are in their place.
  * The epoch change is for historical reasons from the KDE3 era.
  * Added emptying of dependency_libs field in LA files.
  * Added lintian overrides installation.

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 05 Feb 2026 20:46:38 +0100

=== debian/control ===
Source: tqt
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: debhelper (>= 10~), quilt, cpio, libnsl-dev | libc6-dev (<<2.32~), libxext-dev (>= 4.3.0.dfsg.1-4),
 libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4),
 libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4),
 libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev,
 libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
 libmng-dev (>= 1.0.3), libpng-dev, libfontconfig-dev | libfontconfig1-dev,
 libfreetype-dev | libfreetype6-dev, libxft-dev, unixodbc-dev, uuid-dev, libglib2.0-dev,
 default-libmysqlclient-dev | libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
 libgl-dev | libgl1-mesa-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
 firebird-dev | firebird2.1-dev [i386 amd64 sparc powerpc armel] | firebird2-dev [i386 amd64]
Section: libs
Priority: optional
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org

Package: libtqt3-mt
Architecture: any
Multi-Arch: same
Section: libs
Depends: libtqt3-mt-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, fontconfig
Recommends: libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libxmu6 (>= 4.3.0.dfsg.1-4)
Suggests: libtqt3-mt-psql, libtqt3-mt-mysql, libtqt3-mt-odbc
Description: TQt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech TQt library, version 3. It's necessary for
 applications that link against the libtqt-mt.so.3, e.g. all Trinity
 applications.

Package: libtqt3-mt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Conflicts: libtqt3-mt (<< 4:14.1.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Data for TQt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech TQt library, version 3. It's necessary for
 applications that link against the libtqt-mt.so.3, e.g. all Trinity
 applications.

Package: libtqt3-mt-mysql
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MySQL database driver for TQt3 (Threaded)
 This package contains the threaded MySQL plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access a MySQL DB.

Package: libtqt3-mt-odbc
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ODBC database driver for TQt3 (Threaded)
 This package contains the threaded ODBC plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access an ODBC DB.

Package: libtqt3-mt-psql
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL database driver for TQt3 (Threaded)
 This package contains the threaded PostgreSQL plugin for TQt3.
 Install it if you intend to use or write TQt programs that are
 to access a PostgreSQL DB.

Package: libtqt3-mt-ibase
Architecture: i386 amd64 sparc powerpc
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: InterBase/FireBird database driver for TQt3 (Threaded)
 This package contains the threaded InterBase/FireBird plugin
 for TQt3. Install it if you intend to use or write TQt programs
 that are to access an InterBase/FireBird DB.

Package: libtqt3-mt-sqlite
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite database driver for TQt3 (Threaded)
 This package contains the threaded SQLite plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite DB.

Package: libtqt3-mt-sqlite3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite3 database driver for TQt3 (Threaded)
 This package contains the threaded SQLite3 plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite3 DB.

Package: libtqt3-mt-dev
Architecture: any
Multi-Arch: no
Section: libdevel
Conflicts: libtqt3-mt (<< 4:14.1.0~)
Depends: ${shlibs:Depends}, ${misc:Depends},
 libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4),
 libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4),
 libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4),
 libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, uuid-dev,
 libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev, libmng-dev (>= 1.0.3),
 libpng-dev, libfontconfig-dev | libfontconfig1-dev, libfreetype-dev | libfreetype6-dev,
 libxft-dev, libaudio-dev, libgl-dev | libgl1-mesa-dev,
 libglu1-mesa-dev | libglu-dev, libc6-dev, libtqt3-mt (= ${binary:Version}),
 libtqt3-headers (= ${source:Version}), tqt3-dev-tools (= ${binary:Version})
Recommends: libtqt3-compat-headers, libcups2-dev
Suggests: libtqt3-i18n, tqt3-doc
Description: TQt development files (Threaded)
 TQt is a C++ class library optimized for graphical user interface
 development. This package contains the libtqt-mt.so symlink, necessary
 for building threaded TQt applications as well as the libtqui.so symlink
 and the necessary header files for libtqui.so. (See README.Debian and
 the TQt Documentation for instructions on libtqui.so)
 .
 WARNING: If you plan to build some older TQt3 applications, you will
 most probably have to install the libtqt3-compat-headers package. It
 contains all the headers which are not part of the official TQt3 API
 anymore but which are still used by some programs. So if you encounter
 problems with missing header files, please install this package first
 before you send a bugreport.

Package: libtqt3-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Recommends: libtqt3-mt-dev
Description:  TQt3 header files
 This package contains all header files for libqt and libtqt-mt which come
 with TQt3. If you want to compile or develop programs which use TQt3, you
 have to install this package.

Package: libtqt3-compat-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Replaces: libtqt3-compat-headers (<< 4:14.0.0~)
Breaks: libtqt3-compat-headers (<< 4:14.0.0~)
Depends: libtqt3-headers (= ${binary:Version})
Recommends: libtqt3-mt-dev
Description: TQt 1.x and 2.x compatibility includes
 This package contains header files that are intended for build
 compatibility for applications that build with TQt3 but still use
 deprecated includes. It is meant as an intermediate solution and
 these header files are not part of the official TQt3 API.
 All sourcecode that is still using the headers of this package is
 subject to be changed to use the new header files which are in
 libtqt3-headers.

Package: tqt3-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libtqt3-mt-dev
Description: TQt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using TQt3. These are: qmake, uic and moc.
 For TQt3 development, you most likely want to install this package.

Package: tqt3-designer
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: tqt3-designer-plugins (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: tqt3-dev-tools
Suggests: tqt3-assistant, tqt3-doc
Description: TQt Designer - graphic designer for GUI modeling
 The TQt Designer is a GUI design program that interactively lets you
 construct user interfaces for the TQt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by TQt to create applications with easy database access through
 TQt. The resulting user interface files can then be converted to
 C++ classes using the uic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: tqt3-designer-plugins
Architecture: any
Multi-Arch: same
Section: devel
Conflicts: tqt3-designer (<< 4:14.1.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugins for TQt Designer
 The TQt Designer is a GUI design program that interactively lets you
 construct user interfaces for the TQt library.
 .
 This package contains plugins for TQt Designer

Package: libtqt3-apps-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: tqt3-apps-dev (<< 4:14.1.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, libtqt3-mt (= ${binary:Version})
Description: TQt3 Developer applications development libraries
 This package contains additional libraries that ship with the applications
 included with TQt - the TQt Designer and the TQt Assistant.

Package: tqt3-apps-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, libtqt3-mt-dev, libtqt3-apps-dev
Description: TQt3 Developer applications development files
 This package is intended for developers who want to develop applications
 using the additional libraries that ship with the applications
 included with TQt - the TQt Designer and the TQt Assistant.
 It allows integrating additional enhancements into the TQt Designer
 respectively faciliate the TQt Assistant from within your TQt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.

Package: tqt3-linguist
Architecture: any
Multi-Arch: foreign
Section: devel
Suggests: tqt3-assistant
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TQt3 Linguist - translators tool
 This package contains the TQt3 Linguist which provides translators a
 tool perfect for translating any TQt-based application into other
 languages and can be used and installed independently of any TQt
 development files by the translator.

Package: tqt3-assistant
Architecture: any
Multi-Arch: foreign
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}, tqt3-doc
Description: TQt3 assistant application
 This package contains the TQt3 Assistant, an easy to use frontend for
 the complete TQt3 documentation and serves as an online help viewer for
 any TQt program that wants to give the usesr access to online help.
 Within the TQt tools it is used as the help viewer for the online help
 for the TQt3 Designer and Linguist as well as qmake and the TQt 3 API
 documentation.
 .
 Developers of TQt Application who want to faciliate the TQt Assistant
 for online help display should refer to the README.Debian file for
 libtqt3-mt-dev and the package tqt3-apps-dev.

Package: tqt3-qtconfig
Architecture: any
Multi-Arch: foreign
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TQt3 Configuration Application
 The TQt Configuration program allows endusers to configure the look
 and behavior of any TQt3 application. It is mostly only necessary
 on systems which don't run TDE because the Trinity control center already
 covers this configuration automatically for the users TQt3 applications
 according to his desktop settings in TDE. However, if you need to run
 CJK-fonts or other non-latin scripts, you will most likely want to
 install this package.

Package: tqt3-dev-tools-embedded
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: tqt3-dev-tools-embedded (<< 4:14.0.0~)
Breaks: tqt3-dev-tools-embedded (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Tools to develop embedded TQt applications
 This package contains applications only suitable for developing
 applications with TQt Embedded and/or Qtopia. It provides the QVFB
 program for simulating an embedded device desktop as well as maketqpf
 for converting fonts to embedded fonts suitable for being utilized
 by TQt Embedded applications.

Package: tqt3-dev-tools-compat
Architecture: any

## tqt 14.2.0~pre222

=== debian/changelog ===
tqt (4:14.2.0~pre222-0ubuntu25.04.0+2) plucky; urgency=low

  * Automated git build for 8d7156f36bfc1e90a006878b364d7dc8504644c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 09:21:00 +0200

## tqt 14.2.0~pre223

=== debian/changelog ===
tqt (4:14.2.0~pre223-0ubuntu25.10.0+2) questing; urgency=low

  * Automated git build for 7617324fe17cd042220703d769df6e14061908af
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Sep 2025 17:15:58 +0200

## tqt 14.2.0~pre227

=== debian/changelog ===
tqt (4:14.2.0~pre227-0ubuntu24.10.0+2) oracular; urgency=low

  * Automated git build for cf2c8613706a3685266058db00c0e9f632c5bd24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 11:15:53 +0100

=== debian/control ===
Source: tqt
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs, debhelper (>= 10~), quilt, cpio, libnsl-dev | libc6-dev (<<2.32~), libxext-dev (>= 4.3.0.dfsg.1-4),
 libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4),
 libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4),
 libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev,
 libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
 libmng-dev (>= 1.0.3), libpng-dev, libfontconfig1-dev,
 libfreetype6-dev, libxft-dev, unixodbc-dev, uuid-dev, libglib2.0-dev,
 default-libmysqlclient-dev | libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
 firebird-dev | firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc armel] | firebird2-dev [i386 amd64]
Section: libs
Priority: optional
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org

Package: libtqt3-mt
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libtqt3-mt (<< 4:14.0.0~)
Breaks: libtqt3-mt (<< 4:14.0.0~)
Depends: libtqt3-mt-data (= ${binary:Version}), ${shlibs:Depends}, fontconfig
Recommends: libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libxmu6 (>= 4.3.0.dfsg.1-4)
Suggests: libtqt3-mt-psql, libtqt3-mt-mysql, libtqt3-mt-odbc
Description: TQt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech TQt library, version 3. It's necessary for
 applications that link against the libtqt-mt.so.3, e.g. all Trinity
 applications.

Package: libtqt3-mt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Conflicts: libtqt3-mt (<< 4:14.1.0~)
Depends: ${shlibs:Depends}
Description: Data for TQt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech TQt library, version 3. It's necessary for
 applications that link against the libtqt-mt.so.3, e.g. all Trinity
 applications.

Package: libtqt3-mt-mysql
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libtqt3-mt-mysql (<< 4:14.0.0~)
Breaks: libtqt3-mt-mysql (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: MySQL database driver for TQt3 (Threaded)
 This package contains the threaded MySQL plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access a MySQL DB.

Package: libtqt3-mt-odbc
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libtqt3-mt-odbc (<< 4:14.0.0~)
Breaks: libtqt3-mt-odbc (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: ODBC database driver for TQt3 (Threaded)
 This package contains the threaded ODBC plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access an ODBC DB.

Package: libtqt3-mt-psql
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libtqt3-mt-psql (<< 4:14.0.0~)
Breaks: libtqt3-mt-psql (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: PostgreSQL database driver for TQt3 (Threaded)
 This package contains the threaded PostgreSQL plugin for TQt3.
 Install it if you intend to use or write TQt programs that are
 to access a PostgreSQL DB.

Package: libtqt3-mt-ibase
Architecture: i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description: InterBase/FireBird database driver for TQt3 (Threaded)
 This package contains the threaded InterBase/FireBird plugin
 for TQt3. Install it if you intend to use or write TQt programs
 that are to access an InterBase/FireBird DB.

Package: libtqt3-mt-sqlite
Architecture: any
Multi-Arch: same
Section: libs
Replaces: libtqt3-mt-sqlite (<< 4:14.0.0~)
Breaks: libtqt3-mt-sqlite (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: SQLite database driver for TQt3 (Threaded)
 This package contains the threaded SQLite plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite DB.

Package: libtqt3-mt-sqlite3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description: SQLite3 database driver for TQt3 (Threaded)
 This package contains the threaded SQLite3 plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite3 DB.

Package: libtqt3-mt-dev
Architecture: any
Multi-Arch: no
Section: libdevel
Replaces: libtqt3-mt-dev (<< 4:14.0.0~)
Breaks: libtqt3-mt-dev (<< 4:14.0.0~)
Conflicts: libtqt3-mt (<< 4:14.1.0~)
Depends: libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4),
 libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4),
 libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4),
 libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, uuid-dev,
 libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev, libmng-dev (>= 1.0.3),
 libpng-dev, libfontconfig1-dev, libfreetype6-dev,
 libxft-dev, libaudio-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libc6-dev, libtqt3-mt (= ${binary:Version}),
 libtqt3-headers (= ${binary:Version}), tqt3-dev-tools (= ${binary:Version})
Recommends: libcups2-dev
Suggests: libtqt3-i18n, tqt3-doc
Description: TQt development files (Threaded)
 TQt is a C++ class library optimized for graphical user interface
 development. This package contains the libtqt-mt.so symlink, necessary
 for building threaded TQt applications as well as the libtqui.so symlink
 and the necessary header files for libtqui.so. (See README.Debian and
 the TQt Documentation for instructions on libtqui.so)

Package: libtqt3-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Replaces: libtqt3-headers (<< 4:14.0.0~)
Breaks: libtqt3-headers (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Description:  TQt3 header files
 This package contains all header files for libqt and libtqt-mt which come
 with TQt3. If you want to compile or develop programs which use TQt3, you
 have to install this package.

Package: tqt3-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: tqt3-dev-tools (<< 4:14.0.0~)
Breaks: tqt3-dev-tools (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libtqt3-mt-dev
Description: TQt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using TQt3. These are: tqmake, tquic and tqmoc.
 For TQt3 development, you most likely want to install this package.

Package: tqt3-designer
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: tqt3-designer (<< 4:14.0.0~)
Breaks: tqt3-designer (<< 4:14.0.0~)
Depends: tqt3-designer-plugins (= ${binary:Version}), ${shlibs:Depends}
Recommends: tqt3-dev-tools
Suggests: tqt3-assistant, tqt3-doc
Description: TQt3 Designer
 The TQt Designer is a GUI design program that interactively lets you
 construct user interfaces for the TQt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by TQt to create applications with easy database access through
 TQt. The resulting user interface files can then be converted to
 C++ classes using the tquic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: tqt3-designer-plugins
Architecture: any
Multi-Arch: same
Section: devel
Conflicts: tqt3-designer (<< 4:14.1.0~)
Depends: ${shlibs:Depends}
Description: TQt3 Designer plugins
 This package contains plugins for TQt3 Designer

Package: libtqt3-apps-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: tqt3-apps-dev (<< 4:14.1.0~)
Depends: ${shlibs:Depends}, libtqt3-mt (= ${binary:Version})
Description: TQt3 Developer applications development libraries
 This package contains additional libraries that ship with the applications
 included with TQt - the TQt Designer and the TQt Assistant.

Package: tqt3-apps-dev
Architecture: any
Multi-Arch: no
Section: devel
Replaces: tqt3-apps-dev (<< 4:14.0.0~)
Breaks: tqt3-apps-dev (<< 4:14.0.0~)
Depends: libtqt3-mt-dev, libtqt3-apps-dev
Description: TQt3 Developer applications development files
 This package is intended for developers who want to develop applications
 using the additional libraries that ship with the applications
 included with TQt - the TQt Designer and the TQt Assistant.
 It allows integrating additional enhancements into the TQt Designer
 respectively faciliate the TQt Assistant from within your TQt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.

Package: tqt3-linguist
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: tqt3-linguist (<< 4:14.0.0~)
Breaks: tqt3-linguist (<< 4:14.0.0~)
Suggests: tqt3-assistant
Depends: ${shlibs:Depends}
Description: The TQt3 Linguist
 This package contains the TQt3 Linguist which provides translators a
 tool perfect for translating any TQt-based application into other
 languages and can be used and installed independently of any TQt
 development files by the translator.

Package: tqt3-assistant
Architecture: any
Multi-Arch: foreign
Section: x11
Replaces: tqt3-assistant (<< 4:14.0.0~)
Breaks: tqt3-assistant (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tqt3-doc
Description: The TQt3 assistant application
 This package contains the TQt3 Assistant, an easy to use frontend for
 the complete TQt3 documentation and serves as an online help viewer for
 any TQt program that wants to give the usesr access to online help.
 Within the TQt tools it is used as the help viewer for the online help
 for the TQt3 Designer and Linguist as well as qmake and the TQt 3 API
 documentation.
 .
 Developers of TQt Application who want to faciliate the TQt Assistant for online
 help display should refer to the README.Debian file for libtqt3-mt-dev and
 the package tqt3-apps-dev.

Package: tqt3-qtconfig
Architecture: any
Multi-Arch: foreign
Section: x11
Replaces: tqt3-qtconfig (<< 4:14.0.0~)
Breaks: tqt3-qtconfig (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: The TQt3 Configuration Application
 The TQt Configuration program allows endusers to configure the look
 and behavior of any TQt3 application. It is mostly only necessary
 on systems which don't run TDE because the Trinity control center already
 covers this configuration automatically for the users TQt3 applications
 according to his desktop settings in TDE. However, if you need to run
 CJK-fonts or other non-latin scripts, you will most likely want to
 install this package.

Package: tqt3-dev-tools-compat
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: tqt3-dev-tools-compat (<< 4:14.0.0~)
Breaks: tqt3-dev-tools-compat (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Conversion utilities for TQt3 development
 This package contains some older TQt tools (namely
 tqm2ts, tqtmergetr, tqtfindtr and msg2tqm). These tools are needed only by
 application developers who need to migrate any TQt application written
 for TQt 1.x or 2.x over to TQt 3.x. The purpose of the tools are to
 help fixing the changes with include file renaming as well as migrating
 the message file format of TQt 2 translation files or any gettext-based
 translation system to the TQt 3 system.

Package: libtqt3-i18n
Architecture: all
Multi-Arch: foreign
Section: libs
Replaces: libtqt3-i18n (<< 4:14.0.0~)
Breaks: libtqt3-i18n (<< 4:14.0.0~)
Recommends: libtqt3-mt | libtqt3-mt-t64
Description: i18n files for TQt3 library
 This package contains the internationalization files for the TQt library.
 TQt applications that are internationalized will need to depend on this package
 for full internationalization support of the application towards the end user.

Package: tqt3-doc

## tqt 14.2.0~pre228

=== debian/changelog ===
tqt (4:14.2.0~pre228-0ubuntu25.04.0+2) plucky; urgency=low

  * Automated git build for 4d495175043c399fdca6e1bb4c74ef176fc76fb4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 09:42:59 +0100

## tqt 14.2.0~pre230

=== debian/changelog ===
tqt (4:14.2.0~pre230-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 771af909e74927126fba90ec6e0298dc68d5bf4f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 05 Dec 2025 11:05:59 +0100

## tqt 14.2.0~pre231

=== debian/changelog ===
tqt (4:14.2.0~pre231-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 5a863a8932d14b99c5f838c4efa1618070d71b29
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 03:57:25 +0100

## tqt 14.2.0~pre232

=== debian/changelog ===
tqt (4:14.2.0~pre232-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 7d612f7c91d55501276a385a30dbadb121e7bd9f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 11:38:03 +0100

## tqt 14.2.0~pre246

=== debian/changelog ===
tqt (4:14.2.0~pre246-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 074d585cc3a076958b986ff7cf31eb15d1e8412a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 01 Jan 2026 11:54:35 +0100

## tqt 14.2.0~pre248

=== debian/changelog ===
tqt (4:14.2.0~pre248-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 033eea325615ac30721296bbbbb478d0c7c78efe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Jan 2026 15:38:17 +0100

## tqt 14.2.0~pre253

=== debian/changelog ===
tqt (4:14.2.0~pre253-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for ec615dc3b52d4faafbebd7b4229fd4a1ea2a75ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 21 Jan 2026 04:17:15 +0100
